function decodeToken(token: string) {
  try {
    const base64Payload = token.split(".")[1];
    const payload = JSON.parse(atob(base64Payload));
    return payload;
  } catch (error) {
    console.error("Fehler beim Dekodieren des Tokens:", error);
    return null;
  }
}

export default decodeToken;
